from kombo import Kombo
with Kombo(
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.general.get_tools(category="ats")
# Handle response
print(res)
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.general.getTools({
category: "ats",
});
console.log(result);
}
run();
require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.general.get_tools(category: Models::Shared::GetToolsCategoryParameterCategory::ATS)
unless res.get_tools_category_positive_response.nil?
# handle response
end
Get a list of the tools (i.e., integrations) enabled in your environment.
GET
/
tools
/
{category}
Python
from kombo import Kombo
with Kombo(
api_key="<YOUR_BEARER_TOKEN_HERE>",
) as k_client:
res = k_client.general.get_tools(category="ats")
# Handle response
print(res)
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.general.getTools({
category: "ats",
});
console.log(result);
}
run();
require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.general.get_tools(category: Models::Shared::GetToolsCategoryParameterCategory::ATS)
unless res.get_tools_category_positive_response.nil?
# handle response
end
This can (in combination with the integration_tool parameter of the “Create Link” endpoint) be used to, for example, display a custom list or grid of available integrations to your end users instead of exposing Kombo Connect’s standard tool selector.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Kombo","colors":{"primary":"#14b8a6","light":"#5eead4","dark":"#15B8A6"},"logo":{"light":"https://mintcdn.com/kombo/5G-BTSylUTnMNzUN/logo/light.svg?fit=max\u0026auto=format\u0026n=5G-BTSylUTnMNzUN\u0026q=85\u0026s=e63a5882dfad565ffad086e946e31625","dark":"https://mintcdn.com/kombo/BvlFKneaD6eycZI3/logo/dark.svg?fit=max\u0026auto=format\u0026n=BvlFKneaD6eycZI3\u0026q=85\u0026s=c326174907f14ee7bef0e17d62708eba"},"favicon":"https://mintcdn.com/kombo/2lUmYlLqJZfpPMTz/favicon.svg?fit=max\u0026auto=format\u0026n=2lUmYlLqJZfpPMTz\u0026q=85\u0026s=06bfda04e248fb862b34c4e972d4b1a8","api":{"mdx":{"auth":{"method":"bearer"},"server":"https://api.kombo.dev/v1"}},"navbar":{"links":[{"href":"https://app.kombo.dev","label":"Dashboard"}],"primary":{"type":"button","label":"Get a demo","href":"https://www.kombo.dev/demo"}},"footer":{"socials":{"website":"https://www.kombo.dev/","linkedin":"https://www.linkedin.com/company/kombo-api/about"}},"seo":{"indexing":"all"},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"kombo","hasAudioNarration":false,"actualSubdomain":"kombo","customDomains":["docs.kombo.dev"],"gitSource":{"type":"github","owner":"kombohq","repo":"docs-prod","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae7331ca3bb2421cadf36fd","collectionId":"f53fa1ce-cab6-4549-bbc9-ec36b4134313","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae7331ca3bb2421cadf36fd"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae7331ca3bb2421cadf36fd","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"Developer documentation","count":696},{"language":"default","tag":"General","count":336},{"language":"default","tag":"Available Connectors","count":259},{"language":"default","tag":"HRIS","count":240},{"language":"default","tag":"ATS","count":238},{"language":"default","tag":"Features","count":114},{"language":"default","tag":"ATS Assessment \u0026 Background Check","count":90},{"language":"default","tag":"LMS","count":88},{"language":"default","tag":"Guides","count":75},{"language":"default","tag":"General API Reference","count":56}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"img[src^='https://storage.googleapis.com/kombo-assets/integrations/']{background-color:transparent!important}[data-name=frame] img{max-height:40vh}a[id]{scroll-margin-top:var(--scroll-mt)}"}],"page":{"pagePath":"assessment/v1/get-tools-category","slug":"/assessment/v1/get-tools-category","pageMetadata":{"title":"Get tools","description":"Get a list of the tools (i.e., integrations) enabled in your environment.","openapi":"GET /tools/{category}","href":"/assessment/v1/get-tools-category"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Get a list of the tools (i.e., integrations) enabled in your environment.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components};return _jsxs(_components.p,{children:[`This can (in combination with the `,_jsx(_components.code,{children:`integration_tool`}),` parameter of `,_jsx(_components.a,{href:`/v1/post-create-link`,children:`the “Create Link” endpoint`}),`) be used to, for example, display a custom list or grid of available integrations to your end users instead of exposing Kombo Connect’s standard tool selector.`]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get tools","description":"Get a list of the tools (i.e., integrations) enabled in your environment.","openapi":"GET /tools/{category}","href":"/assessment/v1/get-tools-category"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/kombo/807f792f5d0ef37a/rb2b.js","/_mintlify/custom/kombo/6fdcec7d895f83f2/auto-expand-response-fields.js"],"openApiReferenceData":{"operation":{"operationId":"GetToolsCategory","summary":"Get tools","description":"Get a list of the tools (i.e., integrations) enabled in your environment.","tags":["General"],"parameters":["20fd7bbc-8c67-498c-8b1d-a2aeb0bcc29b"],"responses":{"200":"243eb415-f85b-483e-96b4-3f15f2dd2b3c","default":"7057c08a-533b-4d4c-b7d3-783a4cc6f8e8"},"x-codeSamples":[{"lang":"python","label":"GetToolsCategory","source":"from kombo import Kombo\n\n\nwith Kombo(\n api_key=\"\u003cYOUR_BEARER_TOKEN_HERE>\",\n) as k_client:\n\n res = k_client.general.get_tools(category=\"ats\")\n\n # Handle response\n print(res)"},{"lang":"typescript","label":"GetToolsCategory","source":"import { Kombo } from \"@kombo-api/sdk\";\n\nconst kombo = new Kombo({\n api_key: \"\u003cYOUR_BEARER_TOKEN_HERE>\",\n});\n\nasync function run() {\n const result = await kombo.general.getTools({\n category: \"ats\",\n });\n\n console.log(result);\n}\n\nrun();"},{"lang":"ruby","label":"GetToolsCategory","source":"require 'kombo'\n\nModels = ::Kombo::Models\ns = ::Kombo::Kombo.new(\n security: Models::Shared::Security.new(\n api_key: '\u003cYOUR_BEARER_TOKEN_HERE>'\n )\n)\nres = s.general.get_tools(category: Models::Shared::GetToolsCategoryParameterCategory::ATS)\n\nunless res.get_tools_category_positive_response.nil?\n # handle response\nend"}],"method":"get","type":"path","servers":["567f150c-305b-4412-8b85-b96898ce4d14","6f753169-b8d2-4306-8677-baba237e982e","9e44fcb7-1717-4b99-8f86-757c743ff363"],"security":["4c0fac86-c1e5-4913-8676-81ce671f879d"],"path":"/tools/{category}","baseUrlOptions":["https://api.kombo.dev/v1","https://api.us.kombo.dev/v1","https://api.ca.kombo.dev/v1"],"title":"Get tools","codeSamples":[{"label":"GetToolsCategory","lang":"python","source":"from kombo import Kombo\n\n\nwith Kombo(\n api_key=\"\u003cYOUR_BEARER_TOKEN_HERE>\",\n) as k_client:\n\n res = k_client.general.get_tools(category=\"ats\")\n\n # Handle response\n print(res)"},{"label":"GetToolsCategory","lang":"typescript","source":"import { Kombo } from \"@kombo-api/sdk\";\n\nconst kombo = new Kombo({\n api_key: \"\u003cYOUR_BEARER_TOKEN_HERE>\",\n});\n\nasync function run() {\n const result = await kombo.general.getTools({\n category: \"ats\",\n });\n\n console.log(result);\n}\n\nrun();"},{"label":"GetToolsCategory","lang":"ruby","source":"require 'kombo'\n\nModels = ::Kombo::Models\ns = ::Kombo::Kombo.new(\n security: Models::Shared::Security.new(\n api_key: '\u003cYOUR_BEARER_TOKEN_HERE>'\n )\n)\nres = s.general.get_tools(category: Models::Shared::GetToolsCategoryParameterCategory::ATS)\n\nunless res.get_tools_category_positive_response.nil?\n # handle response\nend"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"20fd7bbc-8c67-498c-8b1d-a2aeb0bcc29b":{"name":"category","in":"path","required":true,"description":"GET /tools/:category Parameter","schema":{"type":"string","enum":["hris","ats","assessment","lms"],"isRequired":true,"description":"GET /tools/:category Parameter","uniqueKey":"","typeLabel":"enum\u003cstring>"}}},"responses":{"243eb415-f85b-483e-96b4-3f15f2dd2b3c":{"description":"GET /tools/:category Positive response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","const":"success","isRequired":true,"uniqueKey":"status","typeLabel":"string"},"data":{"type":"object","properties":{"tools":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].id","typeLabel":"string"},"label":{"type":"string","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].label","typeLabel":"string"},"internal_label":{"oneOf":[{"type":"string","description":"Internal label that can help you debug specific variants of the integration. Only show the `label` to your users.","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].internal_label.oneOf.0","typeLabel":"string"},{"type":"null","description":"Internal label that can help you debug specific variants of the integration. Only show the `label` to your users.","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].internal_label.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.tools.items.[INDEX].internal_label","typeLabel":"string | null"},"assets":{"type":"object","properties":{"logo_url":{"type":"string","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].assets.logo_url","typeLabel":"string"},"icon_url":{"type":"string","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].assets.icon_url","typeLabel":"string"},"icon_black_url":{"type":"string","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].assets.icon_black_url","typeLabel":"string"}},"required":["logo_url","icon_url","icon_black_url"],"isRequired":true,"uniqueKey":"data.tools.items.[INDEX].assets","typeLabel":"object"},"paid_api_details_markdown":{"oneOf":[{"type":"string","description":"Markdown formatted text that describes details about the paid API. `null` if the tool is not paid.","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].paid_api_details_markdown.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown formatted text that describes details about the paid API. `null` if the tool is not paid.","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].paid_api_details_markdown.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.tools.items.[INDEX].paid_api_details_markdown","typeLabel":"string | null"},"fast_track_details_markdown":{"oneOf":[{"type":"string","description":"Markdown formatted text that describes details about the fast track process. `null` if the fast track process is not available.","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].fast_track_details_markdown.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown formatted text that describes details about the fast track process. `null` if the fast track process is not available.","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].fast_track_details_markdown.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.tools.items.[INDEX].fast_track_details_markdown","typeLabel":"string | null"},"partner_only_details_markdown":{"oneOf":[{"type":"string","description":"Markdown formatted text that describes partnership requirements. `null` if the tool does not require a partnership.","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].partner_only_details_markdown.oneOf.0","typeLabel":"string"},{"type":"null","description":"Markdown formatted text that describes partnership requirements. `null` if the tool does not require a partnership.","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].partner_only_details_markdown.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.tools.items.[INDEX].partner_only_details_markdown","typeLabel":"string | null"},"connection_guide_url":{"oneOf":[{"type":"string","description":"URL to the connection guide for this tool. `null` if no connection guide is available.","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].connection_guide_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"URL to the connection guide for this tool. `null` if no connection guide is available.","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].connection_guide_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.tools.items.[INDEX].connection_guide_url","typeLabel":"string | null"},"coverage":{"type":"object","properties":{"read_models":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"ID of the model (e.g. hris_employees).","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.read_models.items.[INDEX].id","typeLabel":"string"},"label":{"type":"string","description":"Label of the model (e.g. Employees).","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.read_models.items.[INDEX].label","typeLabel":"string"},"coverage_status":{"type":"string","enum":["SUPPORTED","UNSUPPORTED","NOT_IMPLEMENTED","UNKNOWN"],"description":"The status of a datapoint of an integrated tool:\n\n- `SUPPORTED`: the tool supports the datapoint and it can be used through Kombo.\n- `UNSUPPORTED`: the tool does not support the datapoint.\n- `NOT_IMPLEMENTED`: tool supports the datapoint but it was not integrated by Kombo for a given reason (see coverage grid).\n- `UNKNOWN`: the datapoint is not integrated yet and Kombo has no information about it's availability in the tool.","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.read_models.items.[INDEX].coverage_status","typeLabel":"enum\u003cstring>"},"fields":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"Key of the field in the model (e.g. first_name).","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.read_models.items.[INDEX].fields.items.[INDEX].id","typeLabel":"string"},"coverage_status":{"type":"string","enum":["SUPPORTED","UNSUPPORTED","NOT_IMPLEMENTED","UNKNOWN"],"description":"The status of a datapoint of an integrated tool:\n\n- `SUPPORTED`: the tool supports the datapoint and it can be used through Kombo.\n- `UNSUPPORTED`: the tool does not support the datapoint.\n- `NOT_IMPLEMENTED`: tool supports the datapoint but it was not integrated by Kombo for a given reason (see coverage grid).\n- `UNKNOWN`: the datapoint is not integrated yet and Kombo has no information about it's availability in the tool.","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.read_models.items.[INDEX].fields.items.[INDEX].coverage_status","typeLabel":"enum\u003cstring>"}},"required":["id","coverage_status"],"uniqueKey":"data.tools.items.[INDEX].coverage.read_models.items.[INDEX].fields.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.read_models.items.[INDEX].fields","typeLabel":"object[]"}},"required":["id","label","coverage_status","fields"],"description":"List of models we can read for this tool.","uniqueKey":"data.tools.items.[INDEX].coverage.read_models.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.read_models","typeLabel":"object[]"},"write_actions":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.write_actions.items.[INDEX].id","typeLabel":"string"},"label":{"type":"string","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.write_actions.items.[INDEX].label","typeLabel":"string"},"coverage_status":{"type":"string","enum":["SUPPORTED","UNSUPPORTED","NOT_IMPLEMENTED","UNKNOWN"],"description":"The status of a datapoint of an integrated tool:\n\n- `SUPPORTED`: the tool supports the datapoint and it can be used through Kombo.\n- `UNSUPPORTED`: the tool does not support the datapoint.\n- `NOT_IMPLEMENTED`: tool supports the datapoint but it was not integrated by Kombo for a given reason (see coverage grid).\n- `UNKNOWN`: the datapoint is not integrated yet and Kombo has no information about it's availability in the tool.","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.write_actions.items.[INDEX].coverage_status","typeLabel":"enum\u003cstring>"},"fields":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"Key of the input field (e.g. `candidate.first_name`).","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.write_actions.items.[INDEX].fields.items.[INDEX].id","typeLabel":"string"},"coverage_status":{"type":"string","enum":["SUPPORTED","UNSUPPORTED","NOT_IMPLEMENTED","UNKNOWN"],"description":"The status of a datapoint of an integrated tool:\n\n- `SUPPORTED`: the tool supports the datapoint and it can be used through Kombo.\n- `UNSUPPORTED`: the tool does not support the datapoint.\n- `NOT_IMPLEMENTED`: tool supports the datapoint but it was not integrated by Kombo for a given reason (see coverage grid).\n- `UNKNOWN`: the datapoint is not integrated yet and Kombo has no information about it's availability in the tool.","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.write_actions.items.[INDEX].fields.items.[INDEX].coverage_status","typeLabel":"enum\u003cstring>"}},"required":["id","coverage_status"],"uniqueKey":"data.tools.items.[INDEX].coverage.write_actions.items.[INDEX].fields.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.write_actions.items.[INDEX].fields","typeLabel":"object[]"}},"required":["id","label","coverage_status","fields"],"description":"List of supported write actions for this tool.","uniqueKey":"data.tools.items.[INDEX].coverage.write_actions.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.write_actions","typeLabel":"object[]"},"features":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.features.items.[INDEX].id","typeLabel":"string"},"label":{"type":"string","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.features.items.[INDEX].label","typeLabel":"string"},"coverage_status":{"type":"string","enum":["SUPPORTED","UNSUPPORTED","NOT_IMPLEMENTED","UNKNOWN"],"description":"The status of a datapoint of an integrated tool:\n\n- `SUPPORTED`: the tool supports the datapoint and it can be used through Kombo.\n- `UNSUPPORTED`: the tool does not support the datapoint.\n- `NOT_IMPLEMENTED`: tool supports the datapoint but it was not integrated by Kombo for a given reason (see coverage grid).\n- `UNKNOWN`: the datapoint is not integrated yet and Kombo has no information about it's availability in the tool.","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.features.items.[INDEX].coverage_status","typeLabel":"enum\u003cstring>"}},"required":["id","label","coverage_status"],"uniqueKey":"data.tools.items.[INDEX].coverage.features.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage.features","typeLabel":"object[]"}},"required":["read_models","write_actions","features"],"description":"This describes the supported models and actions of this tool.","isRequired":true,"uniqueKey":"data.tools.items.[INDEX].coverage","typeLabel":"object"}},"required":["id","label","internal_label","assets","paid_api_details_markdown","fast_track_details_markdown","partner_only_details_markdown","connection_guide_url","coverage"],"uniqueKey":"data.tools.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data.tools","typeLabel":"object[]"}},"required":["tools"],"examples":[{"tools":[{"id":"factorial","label":"Factorial","internal_label":null,"assets":{"logo_url":"https://storage.googleapis.com/kombo-assets/integrations/factorial/logo.svg","icon_url":"https://storage.googleapis.com/kombo-assets/integrations/factorial/icon.svg","icon_black_url":"https://storage.googleapis.com/kombo-assets/integrations/factorial/icon-black.svg"},"paid_api_details_markdown":null,"fast_track_details_markdown":null,"partner_only_details_markdown":null,"connection_guide_url":"https://help.kombo.dev/hc/en-us/articles/18743884123409-Factorial-HR-How-do-I-link-my-account","coverage":{"read_models":[{"id":"hris_employees","label":"Employees","coverage_status":"SUPPORTED","fields":[{"id":"date_of_birth","coverage_status":"SUPPORTED"}]},{"id":"hris_teams","label":"Groups","coverage_status":"UNSUPPORTED","fields":[{"id":"parent_id","coverage_status":"UNSUPPORTED"}]}],"write_actions":[{"id":"hris_create_employee","label":"Create employee","coverage_status":"SUPPORTED","fields":[{"id":"first_name","coverage_status":"SUPPORTED"}]}],"features":[{"id":"automatic_source_writing","label":"Automatic Source Writing","coverage_status":"SUPPORTED"}]}}]}],"isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["status","data"],"uniqueKey":"","typeLabel":"object"},"examples":{"example1":{"title":"example1","value":{"status":"success","data":{"tools":[{"id":"factorial","label":"Factorial","internal_label":null,"assets":{"logo_url":"https://storage.googleapis.com/kombo-assets/integrations/factorial/logo.svg","icon_url":"https://storage.googleapis.com/kombo-assets/integrations/factorial/icon.svg","icon_black_url":"https://storage.googleapis.com/kombo-assets/integrations/factorial/icon-black.svg"},"paid_api_details_markdown":null,"fast_track_details_markdown":null,"partner_only_details_markdown":null,"connection_guide_url":"https://help.kombo.dev/hc/en-us/articles/18743884123409-Factorial-HR-How-do-I-link-my-account","coverage":{"read_models":[{"id":"hris_employees","label":"Employees","coverage_status":"SUPPORTED","fields":[{"id":"date_of_birth","coverage_status":"SUPPORTED"}]},{"id":"hris_teams","label":"Groups","coverage_status":"UNSUPPORTED","fields":[{"id":"parent_id","coverage_status":"UNSUPPORTED"}]}],"write_actions":[{"id":"hris_create_employee","label":"Create employee","coverage_status":"SUPPORTED","fields":[{"id":"first_name","coverage_status":"SUPPORTED"}]}],"features":[{"id":"automatic_source_writing","label":"Automatic Source Writing","coverage_status":"SUPPORTED"}]}}]}}}},"exampleType":"examples"}},"exampleType":"examples"},"7057c08a-533b-4d4c-b7d3-783a4cc6f8e8":{"description":"The standard error response with just the platform error codes.","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["error"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"error":{"type":"object","properties":{"code":{"oneOf":[{"type":"string","enum":["PLATFORM.RATE_LIMIT_EXCEEDED","PLATFORM.CONCURRENCY_LIMIT_EXCEEDED","PLATFORM.INTEGRATION_NOT_FOUND","PLATFORM.INPUT_INVALID","PLATFORM.UNKNOWN_ERROR","PLATFORM.IP_NOT_WHITELISTED","PLATFORM.AUTHENTICATION_INVALID","PLATFORM.TASK_TIMED_OUT"],"example":"PLATFORM.RATE_LIMIT_EXCEEDED","description":"Some errors include an error code that can be used to identify their cause. See the [Error Handling Docs](https://docs.kombo.dev/guides/errors) for more information. For your error handling logic please use the error `code` instead of other properties (e.g. message, http status code, ...).","isRequired":true,"uniqueKey":"error.code.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["PLATFORM.RATE_LIMIT_EXCEEDED","PLATFORM.CONCURRENCY_LIMIT_EXCEEDED","PLATFORM.INTEGRATION_NOT_FOUND","PLATFORM.INPUT_INVALID","PLATFORM.UNKNOWN_ERROR","PLATFORM.IP_NOT_WHITELISTED","PLATFORM.AUTHENTICATION_INVALID","PLATFORM.TASK_TIMED_OUT"],"example":"PLATFORM.RATE_LIMIT_EXCEEDED","description":"Some errors include an error code that can be used to identify their cause. See the [Error Handling Docs](https://docs.kombo.dev/guides/errors) for more information. For your error handling logic please use the error `code` instead of other properties (e.g. message, http status code, ...).","isRequired":true,"uniqueKey":"error.code.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring> | null"},"title":{"oneOf":[{"type":"string","description":"A static, human-readable label.","isRequired":true,"uniqueKey":"error.title.oneOf.0","typeLabel":"string"},{"type":"null","description":"A static, human-readable label.","isRequired":true,"uniqueKey":"error.title.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"error.title","typeLabel":"string | null"},"message":{"type":"string","description":"A dynamic, detailed description of what went wrong in this specific instance.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"log_url":{"oneOf":[{"type":"string","format":"uri","description":"The log page in the Kombo UI lists every interaction with full details. If you need assistance, share that link with our support team.","isRequired":true,"uniqueKey":"error.log_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"The log page in the Kombo UI lists every interaction with full details. If you need assistance, share that link with our support team.","isRequired":true,"uniqueKey":"error.log_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"error.log_url","typeLabel":"string\u003curi> | null"}},"required":["code","title","message","log_url"],"description":"Error details with structured code for programmatic handling.","isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["status","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Error Response":{"title":"Error Response","description":"When building error handling logic, always use the `code` field to identify specific error types programmatically. See the complete list of error codes in the [docs](https://docs.kombo.dev/guides/errors).","value":{"status":"error","error":{"code":"INTEGRATION.MODEL_NOT_AVAILABLE","title":"This data model isn't supported for the selected integration.","message":"The \"employees\" model is not yet available for Greenhouse. Please reach out to Kombo if you need this functionality.","log_url":"https://app.kombo.dev/my-prod/logs?interactionId=123456"}}},"Minimal Error Response":{"title":"Minimal Error Response","description":"The \"message\" is always required while other fields can also be `null`. See the [docs](https://docs.kombo.dev/guides/errors) for more information.","value":{"status":"error","error":{"code":null,"title":null,"message":"The message is always in the response.","log_url":null}}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"4c0fac86-c1e5-4913-8676-81ce671f879d":{"ApiKey":{"type":"http","scheme":"bearer","description":"Create an API key on the [Secrets](https://app.kombo.dev/secrets) page in the Kombo dashboard.","scopes":[],"schemeName":"ApiKey"}}},"servers":{"567f150c-305b-4412-8b85-b96898ce4d14":{"url":"https://api.kombo.dev/v1","description":"Kombo EU API"},"6f753169-b8d2-4306-8677-baba237e982e":{"url":"https://api.us.kombo.dev/v1","description":"Kombo US API"},"9e44fcb7-1717-4b99-8f86-757c743ff363":{"url":"https://api.ca.kombo.dev/v1","description":"Kombo CA API"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Create an API key on the [Secrets](https://app.kombo.dev/secrets) page in the Kombo dashboard.","scopes":[],"schemeName":"ApiKey"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Create an API key on the [Secrets](https://app.kombo.dev/secrets) page in the Kombo dashboard.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"ApiKey","name":"Authorization"}],"title":"ApiKey"}]},"originalFileLocation":"openapi.json"},"subdomain":"kombo","siteName":"Kombo","title":"Get tools - Kombo","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-27T13:25:56.869Z","originalFileLocation":"assessment/v1/get-tools-category.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Get a list of the tools (i.e., integrations) enabled in your environment.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Kombo\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get tools - Kombo\">\u003cmeta data-mint-head property=\"og:description\" content=\"Get a list of the tools (i.e., integrations) enabled in your environment.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Kombo\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.kombo.dev/assessment/v1/get-tools-category\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://kombo.mintlify.app/_mintlify/api/og/v2?division=Kombo+Connect\u0026amp;title=Get+tools\u0026amp;description=Get+a+list+of+the+tools+%28i.e.%2C+integrations%29+enabled+in+your+environment.\u0026amp;theme=6aaa982de16023004d39177d\u0026amp;signature=aa68b01cfbb3e930116dacd38d7f106741d0debc00864167535f804f9ad06313\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get tools - Kombo\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Get a list of the tools (i.e., integrations) enabled in your environment.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://kombo.mintlify.app/_mintlify/api/og/v2?division=Kombo+Connect\u0026amp;title=Get+tools\u0026amp;description=Get+a+list+of+the+tools+%28i.e.%2C+integrations%29+enabled+in+your+environment.\u0026amp;theme=6aaa982de16023004d39177d\u0026amp;signature=aa68b01cfbb3e930116dacd38d7f106741d0debc00864167535f804f9ad06313\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Kombo\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#14b8a6\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.kombo.dev/assessment/v1/get-tools-category\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/assessment/v1/get-tools-category.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.kombo.dev/#organization\",\"name\":\"Kombo\",\"url\":\"https://docs.kombo.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/kombo/5G-BTSylUTnMNzUN/logo/light.svg?fit=max\u0026auto=format\u0026n=5G-BTSylUTnMNzUN\u0026q=85\u0026s=e63a5882dfad565ffad086e946e31625\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.kombo.dev#website\",\"name\":\"Kombo\",\"url\":\"https://docs.kombo.dev\",\"publisher\":{\"@id\":\"https://docs.kombo.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.kombo.dev/assessment/v1/get-tools-category#webpage\",\"url\":\"https://docs.kombo.dev/assessment/v1/get-tools-category\",\"name\":\"Get tools\",\"description\":\"Get a list of the tools (i.e., integrations) enabled in your environment.\",\"dateModified\":\"2026-01-27T13:25:56.869Z\",\"isPartOf\":{\"@id\":\"https://docs.kombo.dev#website\"},\"breadcrumb\":{\"@id\":\"https://docs.kombo.dev/assessment/v1/get-tools-category#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.kombo.dev/assessment/v1/get-tools-category#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"General API Reference\",\"item\":\"https://docs.kombo.dev/assessment/v1/post-connect-create-link\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Kombo Connect\",\"item\":\"https://docs.kombo.dev/assessment/v1/post-connect-create-link\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Get tools\",\"item\":\"https://docs.kombo.dev/assessment/v1/get-tools-category\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.kombo.dev/assessment/v1/get-tools-category#apireference\",\"headline\":\"Get tools\",\"name\":\"Get tools\",\"description\":\"Get a list of the tools (i.e., integrations) enabled in your environment.\",\"url\":\"https://docs.kombo.dev/assessment/v1/get-tools-category\",\"mainEntityOfPage\":{\"@id\":\"https://docs.kombo.dev/assessment/v1/get-tools-category#webpage\"},\"dateModified\":\"2026-01-27T13:25:56.869Z\",\"publisher\":{\"@id\":\"https://docs.kombo.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.kombo.dev#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Kombo\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Kombo","nav":{"global":null,"tabs":[{"tab":"Developer documentation","icon":"code","anchors":[{"anchor":"Overview","pages":[{"title":"Overview","href":"/introduction"}]},{"anchor":"HRIS","icon":"users","pages":[{"title":"HRIS","href":"/hris/introduction"}]},{"anchor":"LMS","icon":"graduation-cap","pages":[{"title":"LMS","href":"/lms/introduction"}]},{"anchor":"ATS","icon":"briefcase","pages":[{"title":"ATS","href":"/ats/introduction"}]},{"anchor":"ATS Assessment \u0026 Background Check","icon":"ballot-check","groups":[{"group":"General","icon":"circle-info","pages":[{"title":"Introduction","icon":"book-open","href":"/assessment/introduction"},{"group":"Getting started","icon":"signs-post","pages":[{"title":"Overview","icon":"rocket","href":"/assessment/getting-started"},{"title":"Sandbox Integrations","icon":"flask","href":"/assessment/getting-started/sandbox-integrations"},{"title":"Creating Integrations","icon":"link","href":"/assessment/getting-started/create-integrations"},{"title":"Authentication","icon":"key","href":"/assessment/getting-started/authentication"},{"title":"Querying the API","icon":"magnifying-glass","href":"/assessment/getting-started/querying-api"}]},{"group":"Available Connectors","icon":"plug","pages":[{"title":"Available Assessment Connectors","sidebarTitle":"Overview","icon":"grid-2","href":"/assessment/connectors"},{"title":"Ashby Assessment Integration","sidebarTitle":"Ashby","icon":"https://storage.googleapis.com/kombo-assets/integrations/ashby/icon.svg","href":"/assessment/connectors/ashby"},{"title":"Avature Assessment Integration","sidebarTitle":"Avature","icon":"https://storage.googleapis.com/kombo-assets/integrations/avature/icon.svg","href":"/assessment/connectors/avature"},{"title":"Bullhorn Assessment Integration","sidebarTitle":"Bullhorn","icon":"","href":"/assessment/connectors/bullhorn"},{"title":"Eightfold Assessment Integration","sidebarTitle":"Eightfold","icon":"https://storage.googleapis.com/kombo-assets/integrations/eightfold/icon.svg","href":"/assessment/connectors/eightfold"},{"title":"Greenhouse Assessment Integration","sidebarTitle":"Greenhouse","icon":"https://storage.googleapis.com/kombo-assets/integrations/greenhouse/icon.svg","href":"/assessment/connectors/greenhouse"},{"title":"iCIMS Assessment Integration","sidebarTitle":"iCIMS","icon":"","href":"/assessment/connectors/icims"},{"title":"JazzHR Assessment Integration","sidebarTitle":"JazzHR","icon":"https://storage.googleapis.com/kombo-assets/integrations/jazzhr/icon.svg","href":"/assessment/connectors/jazzhr"},{"title":"Jobvite Assessment Integration","sidebarTitle":"Jobvite","icon":"https://storage.googleapis.com/kombo-assets/integrations/jobvite/icon.svg","href":"/assessment/connectors/jobvite"},{"title":"Jobylon Assessment Integration","sidebarTitle":"Jobylon","icon":"https://storage.googleapis.com/kombo-assets/integrations/jobylon/icon.svg","href":"/assessment/connectors/jobylon"},{"title":"Kombo Sandbox Assessment Integration","sidebarTitle":"Kombo Sandbox","icon":"https://storage.googleapis.com/kombo-assets/integrations/sandbox/icon.svg","href":"/assessment/connectors/sandbox"},{"title":"Lever Assessment Integration","sidebarTitle":"Lever","icon":"https://storage.googleapis.com/kombo-assets/integrations/lever/icon.svg","href":"/assessment/connectors/lever"},{"title":"Oracle Recruiting Cloud Assessment Integration","sidebarTitle":"Oracle Recruiting Cloud","icon":"https://storage.googleapis.com/kombo-assets/integrations/oraclerecruiting/icon.svg","href":"/assessment/connectors/oraclerecruiting"},{"title":"PageUp People Assessment Integration","sidebarTitle":"PageUp People","icon":"https://storage.googleapis.com/kombo-assets/integrations/pageup/icon.svg","href":"/assessment/connectors/pageup"},{"title":"SAP SuccessFactors Assessment Integration","sidebarTitle":"SAP SuccessFactors","icon":"https://storage.googleapis.com/kombo-assets/integrations/successfactors/icon.svg","href":"/assessment/connectors/successfactors"},{"title":"SmartRecruiters Assessment Integration","sidebarTitle":"SmartRecruiters","icon":"https://storage.googleapis.com/kombo-assets/integrations/smartrecruiters/icon.svg","href":"/assessment/connectors/smartrecruiters"},{"title":"Teamtailor Assessment Integration","sidebarTitle":"Teamtailor","icon":"https://storage.googleapis.com/kombo-assets/integrations/teamtailor/icon.svg","href":"/assessment/connectors/teamtailor"},{"title":"Tellent Recruitee Assessment Integration","sidebarTitle":"Tellent Recruitee","icon":"https://storage.googleapis.com/kombo-assets/integrations/recruitee/icon.svg","href":"/assessment/connectors/recruitee"},{"title":"UKG Pro Assessment Integration","sidebarTitle":"UKG Pro","icon":"https://storage.googleapis.com/kombo-assets/integrations/ukgpro/icon.svg","href":"/assessment/connectors/ukgpro"},{"title":"Workable Assessment Integration","sidebarTitle":"Workable","icon":"https://storage.googleapis.com/kombo-assets/integrations/workable/icon.svg","href":"/assessment/connectors/workable"},{"title":"Workday Assessment Integration","sidebarTitle":"Workday","icon":"https://storage.googleapis.com/kombo-assets/integrations/workday/icon.svg","href":"/assessment/connectors/workday"}]},{"title":"FAQ","icon":"question","href":"/assessment/faq"},{"title":"Important Changes","icon":"bell","href":"/assessment/important-changes"}]},{"group":"Features","icon":"cubes","pages":[{"title":"Assessment UI","icon":"table","href":"/assessment/features/assessment-ui"},{"title":"Inline Assessment","icon":"arrow-down-wide-short","href":"/assessment/features/inline-assessment"},{"title":"Setup Flow","icon":"sliders","href":"/assessment/features/setup-flow/introduction"},{"title":"Custom Fields","icon":"square-plus","href":"/assessment/features/custom-fields"},{"title":"Advanced Mappings","icon":"brackets-curly","href":"/assessment/features/advanced-mappings"},{"group":"Remapping","icon":"shuffle","pages":[{"title":"Introduction","icon":"shuffle","href":"/assessment/features/remapping/introduction"},{"title":"Remapping simple fields","icon":"sliders","href":"/assessment/features/remapping/simple-remapping"},{"title":"Remapping enum fields","icon":"list-check","href":"/assessment/features/remapping/enum-remapping"},{"title":"Remapping date fields","icon":"calendar-days","href":"/assessment/features/remapping/date-remapping"},{"title":"Remapping address fields","icon":"map","href":"/assessment/features/remapping/struct-remapping"},{"title":"Remapping reference fields","icon":"link","href":"/assessment/features/remapping/reference-remapping"},{"title":"Remapping array fields","icon":"brackets-curly","href":"/assessment/features/remapping/array-remapping"},{"title":"Kombo default fallback","icon":"rotate-left","href":"/assessment/features/remapping/kombo-default-fallback"}]},{"title":"Logs","icon":"scroll","href":"/assessment/features/logs"},{"title":"Issues","icon":"triangle-exclamation","href":"/assessment/features/issues"},{"title":"Issue types","icon":"triangle-exclamation","href":"/assessment/features/issue-types"},{"title":"Deletion Policy","icon":"trash","href":"/assessment/features/deletion-policy"},{"title":"Passthrough API","icon":"right-left","href":"/assessment/features/passthrough-api"},{"title":"Komboman","icon":"terminal","href":"/assessment/features/komboman"},{"title":"Extend write endpoints","icon":"wand-magic-sparkles","href":"/assessment/features/remote-fields"},{"title":"Scopes","icon":"bullseye","href":"/assessment/features/scopes"},{"title":"Audit Logs","icon":"clipboard-list","href":"/assessment/features/audit-logs"}]},{"group":"Guides","icon":"book-open","pages":[{"group":"Kombo Connect","icon":"link","pages":[{"title":"Introduction","icon":"link","href":"/assessment/guides/connect/introduction"},{"title":"Manual setup","icon":"wrench","href":"/assessment/guides/connect/manual-setup"},{"title":"Magic links","icon":"wand-magic-sparkles","href":"/assessment/guides/connect/magic-links"},{"title":"Embedded flow","icon":"puzzle-piece","href":"/assessment/guides/connect/embedded-flow"},{"title":"Reconnecting an integration","icon":"arrow-rotate-right","href":"/assessment/guides/connect/reconnection"}]},{"title":"How Kombo Syncs Data","icon":"arrows-rotate","href":"/assessment/guides/sync"},{"title":"Error Handling","icon":"bug-slash","href":"/guides/errors"},{"title":"Concurrency Limiting","icon":"gauge-max","href":"/assessment/guides/concurrency-limiting"},{"title":"Webhooks","icon":"bolt","href":"/assessment/guides/webhooks"},{"title":"Upstream webhooks","icon":"cloud-arrow-down","href":"/assessment/guides/upstream-webhooks"},{"title":"Integration States","icon":"traffic-light","href":"/assessment/guides/integration-states"},{"title":"Implementing New Tools","icon":"toolbox","href":"/assessment/guides/implementing-new-tools"},{"title":"Environments","icon":"building","href":"/assessment/guides/environments"},{"title":"Partner Credentials","icon":"handshake","href":"/assessment/guides/partner-credentials"},{"title":"Static IPs","icon":"shield-check","href":"/assessment/guides/static-ips"},{"group":"Troubleshooting","icon":"bug","pages":[{"title":"How to troubleshoot issues with Kombo","icon":"life-ring","href":"/assessment/guides/debugging/introduction"},{"title":"Troubleshoot connection flow problems","icon":"link-slash","href":"/assessment/guides/debugging/debug-connection-flow"},{"title":"Investigate failing actions","icon":"bolt","href":"/assessment/guides/debugging/investigate-failing-actions"},{"title":"Diagnosing missing or incorrect data","icon":"magnifying-glass","href":"/assessment/guides/debugging/debug-data-issues"}]}]},{"group":"ATS Assessment API Reference","icon":"book","pages":[{"group":"Webhooks","icon":"webhook","pages":[{"title":"assessment:order-received","openapi":"openapi.json webhook assessment:order-received","href":"/assessment/webhooks/assessment-order-received"}]},{"group":"Packages","icon":"box-open","pages":[{"title":"Set packages","openapi":"PUT /assessment/packages","href":"/assessment/v1/put-packages"},{"title":"Get packages","openapi":"GET /assessment/packages","href":"/assessment/v1/get-packages"}]},{"group":"Orders and results","icon":"clipboard-check","pages":[{"title":"Get orders","openapi":"GET /assessment/orders","href":"/assessment/v1/get-orders"},{"title":"Get open orders (deprecated)","openapi":"GET /assessment/orders/open","href":"/assessment/v1/get-orders-open"},{"title":"Update order result","openapi":"PUT /assessment/orders/{assessment_order_id}/result","href":"/assessment/v1/put-orders-assessment-order-id-result"}]}]},{"group":"General API Reference","pages":[{"group":"Kombo Connect","icon":"link","pages":[{"title":"Create connection link","openapi":"POST /connect/create-link","href":"/assessment/v1/post-connect-create-link"},{"title":"Get integration by token","openapi":"GET /connect/integration-by-token/{token}","href":"/assessment/v1/get-connect-integration-by-token-token"},{"title":"Activate integration (optional)","openapi":"POST /connect/activate-integration","href":"/assessment/v1/post-connect-activate-integration"},{"title":"Create reconnection link","openapi":"POST /integrations/{integration_id}/relink","href":"/assessment/v1/post-integrations-integration-id-relink"},{"title":"Create Setup Flow link","description":"Create a link that lets your customer run the [Setup Flow](/hris/features/setup-flow/introduction) for an integration. Use this to send customers back into setup steps like field mapping or employee filtering without having to go through the initial connection flow again. Pass the returned URL to `showKomboConnect` from the Kombo Connect SDK, the same way you do with a connection link.","openapi":"POST /integrations/{integration_id}/setup-link","href":"/assessment/v1/post-integrations-integration-id-setup-link"},{"title":"Get tools","openapi":"GET /tools/{category}","href":"/assessment/v1/get-tools-category"}]},{"group":"Integrations","icon":"plug","pages":[{"title":"Get integration details","description":"Get the specified integration with everything you need to display it to your customer.","openapi":"GET /integrations/{integration_id}","href":"/assessment/v1/get-integrations-integration-id"},{"title":"Set integration enabled","openapi":"PUT /integrations/{integration_id}/enabled","href":"/assessment/v1/put-integrations-integration-id-enabled"},{"title":"Delete integration","openapi":"DELETE /integrations/{integration_id}","href":"/assessment/v1/delete-integrations-integration-id"},{"title":"Trigger sync","openapi":"POST /force-sync","href":"/assessment/v1/post-force-sync"}]},{"group":"Filtering","icon":"filter","pages":[{"title":"Create provisioning setup link (deprecated)","openapi":"POST /hris/provisioning-groups/{group_id}/setup-links","href":"/assessment/v1/post-hris-provisioning-groups-group-id-setup-links"}]},{"group":"Custom Fields","icon":"square-plus","pages":[{"title":"Get custom fields with current mappings","openapi":"GET /integrations/{integration_id}/custom-fields","href":"/assessment/v1/get-integrations-integration-id-custom-fields"}]},{"group":"Other","icon":"ellipsis","pages":[{"title":"Check API key","openapi":"GET /check-api-key","href":"/assessment/v1/get-check-api-key"},{"title":"Send passthrough request","openapi":"POST /passthrough/{tool}/{api}","href":"/assessment/v1/post-passthrough-tool-api"}]}]}]},{"anchor":"AI Apply","icon":"browser","pages":[{"title":"AI Apply","href":"/ai-apply/introduction"}]},{"anchor":"Changelog","icon":"book","href":"https://changelog.kombo.dev"},{"anchor":"Status","icon":"wave-pulse","href":"https://status.kombo.dev"}]},{"tab":"Help Center","icon":"life-ring","pages":[{"title":"Help Center","href":"/help-center"}]}]},"basePath":"","title":"Get tools - Kombo","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CS552b7R.js","utils-DDTCYAF2.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-De8ttokP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DrwRDvAh.js","snippetPresets-DtAN0nWx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D5rWArI6.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-O2i12wsz.js","shallow-DV8xABTt.js","getApiPlaygroundDisplay-DBZ0B5Jx.js","CodeSnippet-BVi0tPUX.js","CodeSnippets-CqASbIwY.js","Page-m07pfKpT.js","getPastedJson-DG9vsMS8.js","icon-CXzRSCr8.js","MethodPill-BdKVtEuX.js","DuplicateIcon-CZlmBrJI.js","createIcon-biFEUKPL.js","DynamicMarkdown-B54_zNBF.js","SectionHeading-DwwHK3Pt.js","axios-vUo_bRtp.js","Markdown-DfhCTwyA.js","clsx-xpJZXxdP.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BTZUMDnx.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-DqdKa2R4.js"]}